using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace minimalist_oauth_rp.Controllers
{
    public class ErrorsController : Controller
    {
        [HttpGet]
        public ActionResult Http400(string error, string error_description)
        {
            Response.StatusCode = 400;
            ViewData["error"] = error;
            ViewData["error_description"] = error_description;
            return View();
        }

        [HttpGet]
        public ActionResult Http404(string source)
        {
            Response.StatusCode = 404;
            return View();
        }

        [HttpGet]
        public ActionResult Http500(string error, string error_description)
        {
            Response.StatusCode = 500;
            ViewData["error"] = error;
            ViewData["error_description"] = error_description;
            return View();
        }
    }
}
